JDK-6678161 : Printing to remote non-Postscript printer does not work in Linux
  • Type: Bug
  • Component: client-libs
  • Sub-Component: 2d
  • Affected Version: 6u3
  • Priority: P3
  • Status: Closed
  • Resolution: Fixed
  • OS: linux
  • CPU: generic
  • Submitted: 2008-03-20
  • Updated: 2011-03-07
  • Resolved: 2011-03-07
The Version table provides details related to the release that this issue/RFE will be addressed.

Unresolved : Release in which this issue/RFE will be addressed.
Resolved: Release in which this issue/RFE has been resolved.
Fixed : Release in which this issue/RFE has been fixed. The release containing this fix may be available for download as an Early Access Release or a General Availabitlity Release.

To download the current JDK release, click here.
JDK 6 JDK 7
6u10Fixed 7 b28Fixed
Related Reports
Relates :  
Description
Original report has bug ID 6506286 was submitted as:

Printing from java apps running under Java6 generate postscript file which includes command "/DeferredMediaSelection true". Currently used version of Ghostscript which is used under Linux to convert print jobs to formats used by non-postscript printers doesn't understand this command and produces the following error message:

ERROR: /configurationerror in --setpagedevice--
Additional information: [/DeferredMediaSelection true]

Even with the fix for 6506286, this is still happening for remote printers.

Comments
EVALUATION Caused by not getting the PPD of the remote printer. We always used localhost as the server in accessing PPD.
2008-03-20